<?php
// WizyTówka - strona.php

$identyfikator = $_GET['id'];
if (empty($_GET['id'])) $identyfikator = 'strona-glowna';

// ustawienia
$glowne = explode('<WT>',dane_o('ustawienia/glowne'));
$tytul = $glowne[0]; $uklad_tytulu = $glowne[1]; $autor = $glowne[2]; $adres = $glowne[3]; $datagodzina = $glowne[4]; $przyjazne = $glowne[5];
$google = explode('<WT>',dane_o('ustawienia/google'));
$opis = $google[0]; $slowa_kluczowe = $google[1];
$glowne = ''; $google = '';

// statystyki
$podstawowe = explode('<WT>',dane_o('statystyki/podstawowe'));
if ($_COOKIE['WizyTowka'] != dane_o('uzytkownik/kod')) {
  if (dane_o('statystyki/ostatnia_data') != date('dmY')) {
    $podstawowe[0] = 0;
    dane_s(date('dmY'),'statystyki/ostatnia_data');
  }
  if ($_SERVER['REMOTE_ADDR'] != dane_o('statystyki/ostatnie_ip')) {
    $podstawowe[0]++; $podstawowe[2]++;
    dane_s($_SERVER['REMOTE_ADDR'],'statystyki/ostatnie_ip');
  }
  $podstawowe[1] = date('j.m.Y, G:i');
  dane_s(implode('<WT>',$podstawowe),'statystyki/podstawowe');
}
$licznik = explode('<WT>',dane_o('statystyki/licznik'));
if ($licznik[1] == 'tak')
  $licznik_odwiedzin = str_replace('<LICZNIK>',$podstawowe[2],$licznik[0]);
else
  $licznik_odwiedzin = '';
$kod_zewnetrznych_statystyk = dane_o('statystyki/zewnetrzne')."\n";
if ($kod_zewnetrznych_statystyk == "\n")  $kod_zewnetrznych_statystyk = '';
$podstawowe = ''; $licznik = '';

// strona
if (file_exists('dane/strony/'.$identyfikator)) {
  $typ = dane_o("strony/$identyfikator/typ");
  $tytul_podstrony = dane_o("strony/$identyfikator/tytul");
  $uklad_tytulu = str_replace('<TYTUŁ-PODSTRONY>',$tytul_podstrony,$uklad_tytulu);
  if ($typ == 'strona') {
    $strona = dane_o("strony/$identyfikator/strona");
    $tresc = "<article>\n$strona\n</article>\n";
    if (empty($strona) or $strona == '<br />')  $tresc = '';
  }
  elseif ($typ == 'galeria') {
    $tresc = "<article>\n<script src=\"$adres/system/js/jquery.min.js\"></script>\n<script src=\"$adres/system/js/galleria-1.2.6.min.js\"></script>\n";
    $tresc .= "<p id=\"pole-galleria-wizytowka\">\n";
    $cala_galeria = explode('<WT>',dane_o('strony/'.$identyfikator.'/galeria'));
    for($a=1;$a<count($cala_galeria);$a++) {
      if (!empty($cala_galeria[$a])) {
        $bez_ukosnika = str_replace('/','',$cala_galeria[$a]);
        $tresc .="<img src=\"$adres/dane/galerie/".$identyfikator."/$bez_ukosnika\" />\n";
      }
    }
    $tresc .= "</p>\n";
    $animacja[1] = 'fade'; $animacja[2] = 'flash'; $animacja[3] = 'pulse'; $animacja[4] = 'slide'; $animacja[5] = 'fadeslide';
    $tresc .= "<script>\n    Galleria.loadTheme('$adres/system/js/galleria.classic.min.js');\n    $(\"#pole-galleria-wizytowka\").galleria({\n        height: 500,\n        transition: '".$animacja[rand(1,5)]."'\n    });\n</script>\n";
    $tresc .= "<!-- made by Galleria - http://galleria.aino.se/ -->\n</article>\n";
    if (empty($cala_galeria[1]))  $tresc = '';
  }
  elseif ($typ == 'miniblog') {
    $caly_miniblog= explode('<WT>',dane_o('strony/'.$identyfikator.'/miniblog'));
    for($a=count($caly_miniblog);$a>0;$a--) {
      if (!empty($caly_miniblog[$a])) {
        $bez_ukosnika = str_replace('/','',$caly_miniblog[$a]);
        $caly_wpis = explode('<WT>',dane_o('miniblogi/'.$identyfikator.'/'.$bez_ukosnika));
        $tresc_wpisu = $caly_wpis[0];   $data = data($caly_wpis[1]);
        $tresc .= "<article id=\"wpis-$a\">\n$tresc_wpisu<p class=\"data-miniblog\">$data</p>\n</article>\n";
      }
    }
    if (empty($caly_miniblog[1]))  $tresc = '';
  }
  elseif ($typ == 'kontakt') {
    $cale_kontakt = explode('<WT>',dane_o('strony/'.$identyfikator.'/kontakt'));
    if ($_POST['formularz-wypelniony'] == 'tak'  ) {
      if (strlen(trim($_POST['tresc-wiadomosci'])) >= 10  and !empty($cale_kontakt[1])) {
        if (empty($_POST['adres-email']))  {
          $komunikat_o_emailu = 'Nadawca nie podał swojego adresu e-mail.';
          $od = '';
        }
        elseif (!empty($_POST['adres-email'])) {
          $komunikat_o_emailu = 'Nadawca podał swój adres e-mail: '.$_POST['adres-email'].'.';
          $od = 'From: '.$_POST['adres-email']."\n";
        }
        $wysylanie_maila = mail($cale_kontakt[1],$_POST['temat-wiadomosci'],$_POST['tresc-wiadomosci']."\n\n$komunikat_o_emailu\nWiadomość wysłana poprzez formularz na stronie ".$_POST['adres-strony-wt'].'.',$od."Content-type: text/plain; charset=UTF-8");
      }
      if (empty($cale_kontakt[1])) 
        $tresc .= "<p class=\"info\">Autor strony nie podał swojego adresu e-mail.</p>\n";
      elseif (empty($_POST['tresc-wiadomosci']))
        $tresc .= "<p class=\"info\">Wiadomość jest pusta.</p>\n";
      elseif (strlen(trim($_POST['tresc-wiadomosci'])) < 10)
        $tresc .= "<p class=\"info\">Wiadomość jest za krótka.</p>\n";
      elseif (!$wysylanie_maila)
        $tresc .= "<p class=\"info\">Wiadomość nie została wysłana. Proszę spróbować ponownie później.</p>\n";
      elseif ($wysylanie_maila)
        $tresc .= "<p class=\"info\">Wiadomość została wysłana.</p>\n";
    }
    $glowne = explode('<WT>',dane_o('ustawienia/glowne'));
    $tresc .= "<article>\n";
    if (!empty($cale_kontakt[0]))   $tresc .= '<p>'.$cale_kontakt[0]."</p>\n";
    $tresc .= "<form method=\"post\">\n";
    $tresc .= "<p><label>Temat wiadomości:<br /><input type=\"text\" name=\"temat-wiadomosci\" class=\"formularz\" /></label></p>\n";
    $tresc .= "<p><label>Twój adres e-mail:<br /><input type=\"text\" name=\"adres-email\" class=\"formularz\" /></label></p>\n";
    $tresc .= "<p><label>Treść wiadomości:<br /><textarea class=\"formularz\" name=\"tresc-wiadomosci\" required></textarea></label></p>\n";
    $tresc .= "<p><input type=\"submit\" class=\"formularz\" value=\"Wyślij\" /></p>\n<input type=\"hidden\" name=\"adres-strony-wt\" value=\"".$adres."\" />\n<input type=\"hidden\" name=\"formularz-wypelniony\" value=\"tak\" />\n</form>\n";
    if (!empty($cale_kontakt[2]) or !empty($cale_kontakt[3]) or !empty($cale_kontakt[4]) or !empty($cale_kontakt[5])) {
      $tresc .= "<p class=\"portale-spolecznosciowe\">\n";
      if (!empty($cale_kontakt[2]))   $tresc .= "<a href=\"".$cale_kontakt[2]."\" target=\"_blank\"><img src=\"$adres/system/img/s/facebook.png\" /></a>\n";
      if (!empty($cale_kontakt[3]))   $tresc .= "<a href=\"".$cale_kontakt[3]."\" target=\"_blank\"><img src=\"$adres/system/img/s/nk.png\" /></a>\n";
      if (!empty($cale_kontakt[4]))   $tresc .= "<a href=\"".$cale_kontakt[4]."\" target=\"_blank\"><img src=\"$adres/system/img/s/blip.png\" /></a>\n";
      if (!empty($cale_kontakt[5]))   $tresc .= "<a href=\"".$cale_kontakt[5]."\" target=\"_blank\"><img src=\"$adres/system/img/s/twitter.png\" /></a>\n";
      $tresc .= "</p>\n";
    }
    $tresc .= "</article>\n";
    
  }
  if (empty($tresc))  $tresc = "<article>\n<p class=\"info\">Strona jest pusta.</p>\n</article>\n";
}
else {
  $tytul_podstrony = 'Błąd 404';
  $uklad_tytulu = str_replace('<TYTUŁ-PODSTRONY>',$tytul_podstrony,$uklad_tytulu);
  $tresc = "<article>\n<p class=\"info\">Błąd 404 &mdash; poszukiwana strona nie istnieje.</p>\n</article>\n";
}
$kolejnosc = ''; $typ = ''; $bez_ukosnika = ''; $cala_galeria = ''; $caly_miniblog = ''; $cale_kontakt = '';
$caly_wpis = '';$animacja = '';  $wysylanie_maila = '';  $data = '';  $data2 = '';  $tresc_wpisu = '';  $komunikat_o_emailu = '';   $od = '';

// menu
if ($przyjazne == 'tak') $dodac = '/'; else $dodac = '?id=';
$kolejnosc = explode('<WT>',dane_o('strony/kolejnosc'));
for($a=1;$a<count($kolejnosc);$a++) {
  $bez_ukosnika = str_replace('/','',$kolejnosc[$a]);
  if (!empty($bez_ukosnika) and file_exists("dane/strony/$kolejnosc[$a]")) {
    if ($bez_ukosnika == 'strona-glowna') $link_menu = $adres;
    else $link_menu = $adres.$dodac.$bez_ukosnika;
    $menu .= "<li><a href=\"$link_menu\">".dane_o("strony/$bez_ukosnika/tytul")."</a></li>\n";
  }
}
$przyjazne = '';   $dodac = '';   $kolejnosc = '';   $a = '';

// wyglad
$motyw = explode('<WT>',dane_o('wyglad/motyw'));
if ($motyw[1] != 'tak') {
  $podstawowe = explode('<WT>',dane_o('wyglad/podstawowe'));
  if ($podstawowe[4] != 'Arial' and $podstawowe[4] != 'Calibri' and $podstawowe[4] != 'Georgia' and $podstawowe[4] != 'Tahoma' and $podstawowe[4] != 'Times New Roman' and $podstawowe[4] != 'Trebuchet MS' and $podstawowe[4] != 'Verdana') 
    $style_uzytkownika = "<link rel=\"Stylesheet\" href=\"http://fonts.googleapis.com/css?family=".str_replace(' ','+',$podstawowe[4])."\" type=\"text/css\" />\n";
  else
    $style_uzytkownika = '';
    $style_uzytkownika .= "<style type=\"text/css\">\n";
    $style_uzytkownika .= "body { font-size: ".$podstawowe[3]."px; font-family: \"".$podstawowe[4]."\", sans-serif; background-color: #".$podstawowe[1]."; width: ".$podstawowe[2]."px; }\n";
    $style_uzytkownika .= "body, a, p, li { color: #".$podstawowe[0]."; }\n";
    $style_uzytkownika .= ".k-tekstu { color: #".$podstawowe[0]."; }  .k-tla { background-color: #".$podstawowe[1]."; }  .k-tekstu-j-tlo { color: #".$podstawowe[1]."; }\n.k-tla-j-tekst { background-color: #".$podstawowe[0]."; }  .szerokosc { width: ".$podstawowe[2]."px; }\n";
    $style_uzytkownika .= "</style>\n";
}
$podstawowe = '';

// --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

// wstawienie kodu szablonu PHP/HTML
include('dane/wyglad/szablon.txt');